Package org.apache.storm.trident.state.map

## Class OpaqueMap<T>

- java.lang.Object
- - org.apache.storm.trident.state.map.OpaqueMap<T>

- All Implemented Interfaces:
    `MapState<T>`, `ReadOnlyMapState<T>`, `State`

      public class OpaqueMap<T>
      extends Object
      implements MapState<T>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OpaqueMap​(IBackingMap<OpaqueValue> backing)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCommit​(Long txid)` |
    `static <T> MapState<T>` | `build​(IBackingMap<OpaqueValue> backing)` |
    `void` | `commit​(Long txid)` |
    `List<T>` | `multiGet​(List<List<Object>> keys)` |
    `void` | `multiPut​(List<List<Object>> keys, List<T> vals)` |
    `List<T>` | `multiUpdate​(List<List<Object>> keys, List<ValueUpdater> updaters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpaqueMap

          protected OpaqueMap​(IBackingMap<OpaqueValue> backing)

  - ### Method Detail

    - #### build

          public static <T> MapState<T> build​(IBackingMap<OpaqueValue> backing)

    - #### multiGet

          public List<T> multiGet​(List<List<Object>> keys)

      Specified by:
        `multiGet` in interface `ReadOnlyMapState<T>`

    - #### multiUpdate

          public List<T> multiUpdate​(List<List<Object>> keys,
                                     List<ValueUpdater> updaters)

      Specified by:
        `multiUpdate` in interface `MapState<T>`

    - #### multiPut

          public void multiPut​(List<List<Object>> keys,
                               List<T> vals)

      Specified by:
        `multiPut` in interface `MapState<T>`

    - #### beginCommit

          public void beginCommit​(Long txid)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit​(Long txid)

      Specified by:
        `commit` in interface `State`